 (function($) {
    $.fn.galerie = function(options){
		
		var defauts= {
			'interval':3000,
			'width': '300px',
			'height':'150px',
			'scaleWidth': true,
			'scaleHeight':true,
			'makeLinks': false,
			'callback':null		
		}
		
		var parametres = $.extend(defauts, options);
	
        $(this).each(function(id){
		
			var element=$(this);			
			var totalImages=element.find('img').length;
			var compteur=0;
			
			element.css({
				'width':parametres.width,
				'height':parametres.height,
				'overflow':'hidden'			
			}).find('img').each(function() {
			
				if(parametres.scaleWidth) {
					$(this).css('width','100%')
				}
				if(parametres.scaleHeight) {
					$(this).css('height','100%')
				}
				if(parametres.makeLinks) {
					$(this).css({
						'cursor':'pointer',
						'border':'0px'
					});
					$(this).wrap('<a href="'+$(this).attr('alt')+'"></a>');
				}
				if(id>0) {
					$(this).hide();
				}
			});
			
			setInterval(function(){
				element.find('img:eq('+compteur+')').fadeOut(function() {
					if(compteur!=totalImages-1) {
						compteur++;
					}else {
						compteur=0;
					}
					element.find('img:eq('+compteur+')').fadeIn(function(){
						if(parametres.callback) {
							parametres.callback($(this));
						}			
					});
				});				
			},parametres.interval);
        });
    };
})(jQuery);